Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.epochx.action
Class AntMoveAction

    java.lang.Object
      com.epochx.action.Action
          com.epochx.action.AntAction
              com.epochx.action.AntMoveAction

    public class AntMoveAction

extends AntAction

This class defines an action which when executed will trigger the ant to move one position in its ant landscape.

Field Summary

Fields inherited from class com.epochx.action.Action
`DO_NOTHING`

Constructor Summary
`AntMoveAction(Ant ant)` Constructs an AntMoveAction, supplying an ant that the action can be performed on.

Method Summary
`void` | `execute()` Execute this action, which will trigger the ant to move one position in its ant landscape.
`java.lang.String` | `toString()` String representation of this action which identifies the action type.

Methods inherited from class com.epochx.action.AntAction
`getAnt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntMoveAction

    public AntMoveAction(Ant ant)

  Constructs an AntMoveAction, supplying an ant that the action can be performed on.

  Parameters:
    `ant` - the Ant that will be moved upon execution.

Method Detail

### execute

    public void execute()

  Execute this action, which will trigger the ant to move one position in its ant landscape.

  Specified by:
    `execute` in class `Action`

### toString

    public java.lang.String toString()

  String representation of this action which identifies the action type.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string representation of this action which identifies the action type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD